<div class="content-wrapper">
<style>
/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
.modal-content {
    position: relative;
    background-color: #E3F2FD;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 80%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    padding: 2px 16px;
    background-color: #90CAF9;
    color: white;
}

.modal-body {padding: 2px 16px;}

</style>
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <ol class="breadcrumb">
      <li><a href="/"><i class="fa fa-dashboard"></i>Home</a></li>
      <li class="active">lista de academia</li>
    </ol>
  </section>

    <div class="row">
      <section class="col-lg-12 connectedSortable">
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Gerente</th>
              <th>Plan manager</th>
              <th>Cnpj</th>
              <th>Name</th>
              <th>Address</th>
              <th>Cep</th>
              <th>City</th>
              <th>State</th>
              <th>Phone</th>
              <th>Cellphone</th>
              <th>Membro desde</th>
              <th colspan="3"></th>
            </tr>
          </thead>

          <tbody>
            <% @gyms.each do |gym| %>
              <tr onclick="getPayments(<%=gym.id%>)">
                <td><%= gym.manager.name %></td>
                <td><%= gym.plan_manager.name %></td>
                <td><%= gym.cnpj %></td>
                <td><%= gym.name %></td>
                <td><%= gym.address %></td>
                <td><%= gym.cep %></td>
                <td><%= gym.city %></td>
                <td><%= gym.state %></td>
                <td><%= gym.phone %></td>
                <td><%= gym.cellphone %></td>
                <td><%= gym.created_at.strftime("%d/%m/%Y") %></td>
              </tr>
            <% end %>
          </tbody>
        </table>

      </section>
    </div>

    <% if @admin %>
      <div class="row">
        <div class="col-lg-offset-5 col-lg-2">
          <a href="/gyms/new" class="btn btn-primary" role="button">Nova academia</a>
        </div>
      </div>
    <% end %>

  </section>

  <!-- The Modal -->
  <div id="myModal" class="modal">
    <!-- Modal content -->
    <div class="modal-content">
      <div class="modal-header">
        <span class="close">&times;</span>
        <h4>Pagamentos</h4>
      </div>
      <div class="modal-body">
        <p id="text"></p>
      </div>
    </div>

  </div>

</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script>
    function getPayments(id){
          $.ajax({
           type: "GET",
           url: "gym_payments/" + id,
           statusCode: {
             200: function(data) {
               console.log(data);
               openModal(data.message);
             }
            }
           });
        }

    function openModal(data){
      console.log(data);
      // Get the modal
      var modal = document.getElementById('myModal');
      console.log(modal.style);
      modal.style.display = "block";

      // Get the <span> element that closes the modal
      var span = document.getElementsByClassName("close")[0];

      // When the user clicks on <span> (x), close the modal
      span.onclick = function() {
          modal.style.display = "none";
      }

      // When the user clicks anywhere outside of the modal, close it
      window.onclick = function(event) {
          if (event.target == modal) {
              modal.style.display = "none";
          }
      }
      console.log(data.length);
      var text = "";
      for (i = 0; i < data.length; i++) {
          text += "<h5> Valor:" + data[i].price + " (" + data[i].payment_date + ") </h5>";
      }

      document.getElementById("text").innerHTML = text;

    }


</script>

<!-- ./wrapper -->
